PROBE::SIGNAL.WAKE(3stap)

NAME
probe::signal.wakeup - Sleeping process being wakened for signal

SYNOPSIS

signal.wakeup

VALUES

sig_pid
    The PID of the process to wake

state_mask
    A string representation indicating the mask of task states to wake. Possible values are TASK_INTERRUPTIBLE, TASK_STOPPED, TASK_TRACED, TASK_WAKEKILL, and TASK_INTERRUPTIBLE.

pid_name
    Name of the process to wake

resume
    Indicates whether to wake up a task in a STOPPED or TRACED state

SEE ALSO
tapset::signal(3stap)